Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 23-03-2021 11:40:24

Kris
Membre
Inscription : 21-03-2021

Problème de sécurité avec apt (vieille faille de 2019)

Bonjour à tous,

Je suis nouveau sur le forum. J'utilise une Debian sur mon ordi perso depuis un moment. Je suis assez familier avec le système, j'essaie de me renseigner mais visiblement pas assez .... sad

Depuis mon arrivé sur Debian Facile, j'épluche un peu le forum pour combler mes lacunes sur différents sujets et mieux me renseigner sur les découvertes que j'ai pu faire récemment dans les posts et les wiki sur des paquets utiles que je ne connaissais pas forcément.

Lors de mes lectures je suis tombé sur ce post https://debian-facile.org/viewtopic.php?id=23511 concernant une vieille faille dans apt (2019) depuis corrigée. Hélas pour moi, je ne la découvre que maintenant. ops.gif
Bien que je maintienne mon système à jour, je n'ai pas eu vent de la méthode à suivre pour réparer cette faille en toute sécurité, le fameux :

apt -o Acquire::http::AllowRedirect=false update

apt -o Acquire::http::AllowRedirect=false upgrade



Si j'ai bien tout compris, si cette manipulation n'a pas été suivi lors de la mise à jour en 2019, il y a un risque que je me traine un système compromis depuis tout ce temps sans réel moyen de vérifier...

Je suis encore sous Debian Stretch et je m'apprête à passer à Buster. Mon système possède un home sur sa propre partition.

J'aimerai avoir l'avis de personnes mieux callées que moi pour définir si j'ai un risque élevé de système compromis, si je dois vraiment m'inquiéter et si je ne ferai pas mieux de faire une install propre de mon système depuis une image de Buster en conservant mon home lors de la manip' pour repartir de zéro voire récupérer juste les fichiers important du home avant de refaire une install propre en écrasant tout. hmm

Je vous remercie d'avance de votre aide.

Hors ligne

#2 23-03-2021 18:42:42

David5647
Membre
Distrib. : Debian Bullseye/Sid
Noyau : 5.7.0-2-amd64
(G)UI : KDE/i3wm
Inscription : 27-08-2017

Re : Problème de sécurité avec apt (vieille faille de 2019)

Le problème était qu'il fallait installer la version corrigée de apt via apt lui même, la vulnérabilité a cessée d'exister après la mise à jour. Pour être tout à fait exact, il y a deux possibilités:

    - très probable : la mise à jour s'est bien passée, il n'y a plus de vulnérabilité
    - très peu probable : tu as été infecté lors de la mise à jour, donc en 2019 et le problème n'est plus tout à fait "la vulnérabilité de apt".

Pour en revenir aux considérations sur la sécurité:

    - vulnérabilité ne signifie pas infection
    - vulnérabilité ne signifie pas que des méthodes existent pour l'exploiter, on peut considérer que plus le temps passe, plus la probabilité que des méthodes exploitant cette faille existent augmente => toujours faire les mise à jour rapidement.

On ne peut jamais être sûr, si il y a eu effectivement une vulnérabilité, son exploitation a été possible. L'action à entreprendre dépendra de criticité de ton système. Je ne pense pas qu'il y ai lieu de s'inquiéter outre mesure.

Hors ligne

#3 24-03-2021 11:41:14

Kris
Membre
Inscription : 21-03-2021

Re : Problème de sécurité avec apt (vieille faille de 2019)

Merci David5647 pour cette réponse détaillée ! smile

Je ne m'y connais pas beaucoup en sécurité informatique et j'ai tendance à m'inquiéter (trop) facilement quand il s'agit de ce sujet. ops.gif
De plus, je me rends compte en lisant différents posts et articles sur le site que j'ai quelques lacunes en terme de configuration de Debian pour sécuriser la distribution (gestion du parfeu notamment). Et comme j'utilise la distro depuis un moment comme ordinateur de tous les jours ça m'a rapidement stressé...

Je pensais quand même faire un petit chkrootkit et rkhunter, ça peut pas faire de mal.

Hors ligne

Pied de page des forums